### Hierarchy

- GridRow

### Implements

- IGridRow

## Index

### Constructors

- constructor

### Properties

- dataset
- hidden
- params
- row
- rowEl

### Methods

- setHeight
- setIndex
- setOffet
- setPosition

## Constructors

### constructor

- new GridRow(params: IGridRowParams): GridRow

- - Defined in Grid3/GridRow.ts:34

  #### Parameters

  - ##### params: IGridRowParams

  #### Returns GridRow

## Properties

### dataset

dataset: IGridRowDataset

Implementation of IGridRow.dataset

- Defined in Grid3/GridRow.ts:31

### hidden

hidden: boolean = false

Implementation of IGridRow.hidden

- Defined in Grid3/GridRow.ts:33

### params

params: IGridRowParams

Implementation of IGridRow.params

- Defined in Grid3/GridRow.ts:35

### row

row: number = 0

Implementation of IGridRow.row

- Defined in Grid3/GridRow.ts:34

### rowEl

rowEl: HTMLDivElement

Implementation of IGridRow.rowEl

- Defined in Grid3/GridRow.ts:32

## Methods

### setHeight

- setHeight(size: number): void

- Implementation of IGridRow.setHeight

  - Defined in Grid3/GridRow.ts:53

  #### Parameters

  - ##### size: number

  #### Returns void

### setIndex

- setIndex(row: number, y: number, zIndex: number): void

- Implementation of IGridRow.setIndex

  - Defined in Grid3/GridRow.ts:63

  #### Parameters

  - ##### row: number

  - ##### y: number

  - ##### zIndex: number

  #### Returns void

### setOffet

- setOffet(offset: number): void

- Implementation of IGridRow.setOffet

  - Defined in Grid3/GridRow.ts:56

  #### Parameters

  - ##### offset: number

  #### Returns void

### setPosition

- setPosition(offset: number): void

- Implementation of IGridRow.setPosition

  - Defined in Grid3/GridRow.ts:59

  #### Parameters

  - ##### offset: number

  #### Returns void

Generated using TypeDoc